EKNO YUAG - Bug #3576

ESS Attendance Mobile & Website - Tambahan Validasi
04/23/2025 01:45 PM - Mr lkmal

Status: Assigned Start date: 04/23/2025
Priority: Urgent Due date: 04/25/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Mohon bantuannya untuk menambahkan validasi berikut saat user melakukan pengajuan Attendance melalui ESS Mobile dan
Website:

1. Jika user mengajukan attendance dengan tanggal dan attendance type yang sama seperti yang sudah ada sebelumnya di
RequestNo, maka tidak diperbolehkan mengajukan lebih dari satu kali.

2. Namun, jika attendance type-nya berbeda, maka pengajuan lebih dari satu kali masih diperbolehkan, selama tidak terdapat
overlap pada jam pengajuan di tanggal yang sama.

(Pengecekan overlap ini perlu dilakukan tidak hanya pada master data di PHRPAQ019, tetapi juga terhadap pengajuan ESS yang
masih berjalan atau belum disetujui, karena statusnya bisa aja masih pending approval/belum di approve atasannya)

Karena untuk yg saat ini bisa melakukan lebih dari 1 kali pengajuan dengan Tanggal dan Attendance Type yang sama. Cth pada
gambar berikut di requestNo 29 dan 30.

Berikut data untuk keperluan testing:

Testing Data Pengajuan Attendance
EmployeelD: 00000566

Testing Atasan
EmployeelD: 00000002

History

#1 - 04/23/2025 02:49 PM - Kezia Pawitra Yulianti

- Due date set to 04/25/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to Urgent

#2 - 04/28/2025 09:34 AM - Mr lkmal

Overlap yg dimaksud seperti ini contoh nya mas:

Kalau user mau ajuin attendance dengan tanggal yang sama tapi attendance type yang berbeda, itu dibolehin.

Tapi, sistem harus cek. Apakah jam pengajuan baru ini bentrok/tumpang tindih (overlap) dengan jam yang sudah pernah diajukan sebelumnya (baik
yang sudah ada di database maupun yang masih pending approval).

Contoh:

Misalnya, saya ajuin request attendance type A untuk tanggal 28 April dari jam 08:00 - 12:00.

Terus, Sekarang saya mau ajuin attendance type B untuk tanggal 28 April lagi.

Kalau jamnya di 13:00 - 17:00 (tidak overlap dengan attendance type A di 08:00-12:00), maka boleh.

Tapi kalau yg saya ajuin attendance type B di jam 10:00 - 14:00, maka tidak boleh, karena jam 10:00-12:00 sudah dipakai di pengajuan sebelumnya
(overlap).

Poin nya disini adalah:
Overlap = waktu pengajuan baru beririsan atau bertabrakan dengan waktu pengajuan yang sudah ada

terima kasih.

#3 - 04/29/2025 01:13 PM - Mr Dhafin

- File clipboard-202504291313-07sdn.png added

Dear Mas Azid,

Mohon bantuannya untuk menambahkan validasi pada menu Attendance. Saat ini sistem masih mengizinkan pengajuan Attendance untuk tanggal
keesokan harinya (H+1), padahal seharusnya tidak diperbolehkan.

Contohnya terdapat pada data dengan ReglID 67, di mana saya melakukan pengajuan hari ini untuk tanggal besok, dan sistem tetap menerima

pengajuan tersebut.

Mohon agar ditambahkan validasi agar pengajuan tidak dapat dilakukan untuk tanggal keesokan harinya.

Terima kasih atas bantuannya.

Search a
Start Date: WorkflowStatus:
End Date: BusinessProcess:
ReglDFrom: P ReglDTo:
PIC: OnBehalf:
oz
Result -
ReglD WorkflowStatus TaskName EmpIDAs PIC ExecuteBy TaskStatus ExecuteAt
Title: 67 : Leave FAMA - Unfinish
&7 Unfinish Create 00000566 Complete 29/04/2025 09:52:58
&7 Unfinish Approval Approver 00000566 00000003 Waiting M-
Files
Screenshot 2025-04-23 102800.png 141 KB 04/23/2025 Mr [kmal
Screenshot 2025-04-23 102819.png 133 KB 04/23/2025 Mr [kmal
clipboard-202504291313-07sdn.png 61 KB 04/29/2025 Mr Dhafin
